SystemOrganization addCategory: #'Tools-SystemSettings'!

Object subclass: #CodeHolderSystemSettings
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tools-SystemSettings'!

!CodeHolderSystemSettings class methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 12/7/2009 11:30'!
codeBrowsingOn: aBuilder 
	<systemsettings>
	(aBuilder group: #codeBrowsing) 
		label: 'Code browsing' translated;
		target: CodeHolder;
		description: 'All settings concerned with code browsing look''n feel' translated;
		noOrdering;
		with: [	
			(aBuilder setting: #browseWithPrettyPrint) 
				label: 'Pretty print' translated;
		 		description: 'If checked then browsers automatically format their code' translated.
			(aBuilder setting: #showAnnotationPane) 
				label: 'Show annotation pane' translated;
		 		description: 'If checked then the annotation pane is shown in browsers; it is dynamically updated with useful informations about the code which is currently browsed' translated.
			(aBuilder setting: #smartUpdating)
				label: 'Smart updating' translated;
				description: 'If true, then morphic tools such as browsers and inspectors will keep their contents up to date automatically, so that if something changes anywhere, the change will be reflected everywhere' translated.
			(aBuilder group: #'Optional buttons')
				with: [	
					(aBuilder setting: #optionalButtons)
						label: 'Add shortcut buttons' translated;
						description: 'If true, then optional buttons will be used in certain standard tools, including browsers, message lists, fileLists, changeLists, and debuggers' translated;
						with: [
							(aBuilder setting: #extraDebuggerButtons)
								label: 'Extra buttons in debugger' translated;
								target: Debugger;
								description: 'If true, when the optionalButtons preference is on, debugger windows in Morphic will show *two* rows of buttons -- the debugger-specific row (proceed, restart, etc.) and also the conventional code-tools row.' translated.
							(aBuilder setting: #decorateBrowserButtons)
								label: 'Decorate buttons' translated;
								description: 'Governs whether certain buttons, such as the Inheritance button, should bear colors that provide user feedback on their applicability' translated]].
			(aBuilder group: #ChangeSorter)
				label: 'Change sorter' translated;
				description: 'Change sorter specific settings' translated;
				with: [
					(aBuilder setting: #mustCheckForSlips)
						target: ChangeSet;
						label: 'Check for slips' translated;
						description: 'If true, then whenever you file out a change set, it is checked for ''slips'' and if any are found, you are so informed and given a chance to open a browser on them' translated.
					(aBuilder setting: #diffsInChangeList)
						label: 'Exhibits differences' translated;
						description: 'If true, ChangeList browsers and Versions browsers will open up by default showing differences, i.e. revealing the differences between successive versions or between the in-memory code and the code on disk' translated;
						with: [
							(aBuilder setting: #diffsWithPrettyPrint)
								label: 'Pretty print differences' translated;
								description: 'If true, displays of source code differences will be pretty-printed first' translated]]]! !

Object subclass: #DebugSystemSettings
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tools-SystemSettings'!

!DebugSystemSettings class methodsFor: 'setting' stamp: 'AlainPlantec 12/7/2009 07:02'!
debugSettingsOn: aBuilder
	<systemsettings>
	(aBuilder group: #debugging)
		label: 'Debugging';
		with: [
			(aBuilder setting: #cmdDotEnabled)
				label: 'Enable cmd-dot interrupt key' translated;
				target: UserInterruptHandler;
				description: 'If true, it allows the user to stop currently running process by opening-up a debugger' translated.
			(aBuilder setting: #cpuWatcherEnabled)
				label: 'Process browser monitors CPU usage' translated;
				target: CPUWatcher;
				description: 'If true, Squeak processes will be monitored for CPU usage. If they take too much CPU, you will get a notification menu that will allow you to debug, resume, or terminate the process' translated.
			(aBuilder setting: #debugPrintSpaceLog)
				label: 'Log space usage during publishing' translated;
				target: ImageSegment;
				description: 'When true, write a log about space usage in image segments during publishing' translated.
			(aBuilder setting: #debugShowDamage)
				label: 'Flash damaged morphic region' translated;
				target: WorldState;
				description: 'If true, every changed region of the morphic display will be flashed black before updating.' translated.
			(aBuilder setting: #logDebuggerStackToFile)
				label: 'Write "PharoDebug.log" when fall into debugger' translated;
				target: Debugger;
				description: 'If true, whenever you fall into a debugger a summary of its stack will be written to a file named' translated.
			(aBuilder setting: #restartAlsoProceeds)
				label: 'Restart also proceeds' translated;
				target: Debugger;
				description: 'If this preference is set, the debugger''s restart button and menu item will also proceed. If the preference is not set, the selected context will just be reset to its initial condition, so you may step through it again.' translated.
			(aBuilder setting: #ObjectExplorerShowIcons)
				label: 'Icons in explorer' translated;
				selector: #showIcons;
				target: ObjectExplorer;
				description: 'When possible, show icon in explorer.' translated
		]! !
